summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJesse Duffield <jessedduffield@gmail.com>2018-08-17 22:46:10 +1000
committerJesse Duffield <jessedduffield@gmail.com>2018-08-17 22:46:10 +1000
commitbd91b9e1e9fdc8cd199d105118ce13f94e6b5fe5 (patch)
treeccaa495bf59ab09071cb315340db269582f90716
parent03a7e32694216ae4e7b3150a0f6305a960a7980d (diff)
add test repo for all the kinds of files that show up when diffing
-rwxr-xr-xtest/repos/lots_of_diffs.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/test/repos/lots_of_diffs.sh b/test/repos/lots_of_diffs.sh
new file mode 100755
index 000000000..0cdec0cdc
--- /dev/null
+++ b/test/repos/lots_of_diffs.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -ex; rm -rf repo; mkdir repo; cd repo
+
+git init
+
+echo "deleted1" > deleted1
+echo "deleted2" > deleted2
+echo "modified1" > modified1
+echo "modified2" > modified2
+echo "renamed" > renamed1
+
+git add .
+git commit -m "files to delete"
+rm deleted1
+rm deleted2
+
+rm renamed1
+echo "renamed" > renamed2
+echo "more" >> modified1
+echo "more" >> modified2
+echo "untracked1" > untracked1
+echo "untracked2" > untracked2
+echo "blah" > "file with space1"
+echo "blah" > "file with space2"
+echo "same name as branch" > master
+
+git add deleted1
+git add modified1
+git add untracked1
+git add "file with space2"
+git add renamed1
+git add renamed2 \ No newline at end of file